ConversationComplete webhook payload schema (documentation only)
⚠️ DO NOT CALL THIS ENDPOINT - it's for documentation only! This shows the structure of 'ConversationComplete' webhook payload that will be sent to your webhook URL.
Authorization
Bearer Agent AuthorizationBearer <token>
JWT Authorization header using Bearer scheme
In: header
AuthorizationBearer <token>
Agent token authorization header using Agent scheme
In: header
Response Body
application/json
curl -X POST "https://api.voxagent.app/webhooks/notifications/events/ConversationComplete"{
"event": "ConversationComplete",
"data": {
"session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82",
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"agent_name": "string",
"audio_url": "string",
"audio_url_expires_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"start_time": "2019-08-24T14:15:22Z",
"agent_joined_at": "2019-08-24T14:15:22Z",
"duration_seconds": 0.1,
"history": [
{
"type": "user_turn",
"timestamp": "2019-08-24T14:15:22Z",
"text": "string",
"user_input": "string",
"user_metrics": {
"transcript_confidence": 0,
"transcription_delay": 0,
"end_of_utterance_delay": 0
},
"assistant_metrics": {
"interrupted": true,
"llm_duration": 0,
"llm_ttft": 0,
"tts_ttfb": 0,
"tts_duration": 0
}
}
],
"telecom_provider": "Twilio",
"from_number": "string",
"to_number": "string",
"campaign_item_id": "78a8e446-a45f-4f73-8757-0093137dd224",
"campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",
"campaign_name": "string",
"url_parameters": {
"property1": "string",
"property2": "string"
}
}
}